For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Network Stake Information

Returns the network's current stake information.

This method will use 20 Compute Units.


Get network stake information

get

Returns the network's current stake information.

Responses
200

OK

application/json
max_staking_reward_rate_per_hbarinteger · int64Required

The maximum reward rate, in tinybars per whole hbar, that any account can receive in a day

node_reward_fee_fractionnumber · floatRequired

The fraction between zero and one of the network and service fees paid to the node reward account 0.0.801

stake_totalinteger · int64Required

The total amount staked to the network in tinybars the start of the current staking period

staking_period_durationinteger · int64Required

The number of minutes in a staking period

staking_periods_storedinteger · int64Required

The number of staking periods for which the reward is stored for each node

staking_reward_fee_fractionnumber · floatRequired

The fraction between zero and one of the network and service fees paid to the staking reward account 0.0.800

staking_reward_rateinteger · int64Required

The total number of tinybars to be distributed as staking rewards each period

staking_start_thresholdinteger · int64Required

The minimum balance of staking reward account 0.0.800 required to active rewards

get/api/v1/network/stake
GET /v1/YOUR_API_KEY/api/v1/network/stake HTTP/1.1
Host: mainnet.hedera.validationcloud.io
Accept: */*
{
  "max_staking_reward_rate_per_hbar": 17808,
  "node_reward_fee_fraction": 1,
  "stake_total": 35000000000000000,
  "staking_period": {
    "from": "1655164800.000000000",
    "to": "1655251200.000000000"
  },
  "staking_period_duration": 1440,
  "staking_periods_stored": 365,
  "staking_reward_fee_fraction": 1,
  "staking_reward_rate": 100000000000,
  "staking_start_threshold": 25000000000000000
}

Last updated

Was this helpful?